Page MenuHomePhabricator

When deleting revisions, 2017 wikitext editor and VisualEditor load when they shouldn't, although the revision deletion works as expected
Closed, ResolvedPublic1 Estimated Story Points

Description

  1. As a user with the deleterevision right (e.g. sysop group), view history of a page with 2 or more edits. https://www.mediawiki.org/w/index.php?title=Project:Sandbox&action=history
  2. Tick checkbox of a revision, and press "Change visibility of selected revisions"
  3. On the action=revisiondelete form, tick at least one checkbox (e.g. "Edit's username")
  4. Submit form

Expected:
You're still on the revision delete page and see a "Hiding succeeded" message on top.

Actual:
You're effectively no longer on the revision delete page. Instead, VisualEditor starts to load, fetches the page and initialises an editor session.

This is most likely due to being on /w/index.php?title=Special:RevisionDelete&action=submit, which VisualEditor might see as the edit page.

Event Timeline

Krinkle created this task.Jun 21 2017, 3:05 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 21 2017, 3:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as Medium priority.Jun 23 2017, 1:09 PM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana added a subscriber: Deskana.

Verified. Not super high priority, but is definitely something we should iron out.

Krinkle updated the task description. (Show Details)Jun 23 2017, 9:01 PM
Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 10:34 AM
Deskana renamed this task from Unexpected loading of VisualEditor after Special:RevisionDelete submission to When deleting revisions, 2017 wikitext editor and VisualEditor load when they shouldn't and block you from proceeding..Aug 25 2017, 10:35 AM
jeblad removed a subscriber: jeblad.Aug 25 2017, 10:03 PM
MusikAnimal added a subscriber: MusikAnimal.
Deskana renamed this task from When deleting revisions, 2017 wikitext editor and VisualEditor load when they shouldn't and block you from proceeding. to When deleting revisions, 2017 wikitext editor and VisualEditor load when they shouldn't, although the revision deletion works as expected.Oct 11 2017, 9:46 PM

This doesn't actually block the hiding of the revision; the editor loads inappropriately, but that happens after the revision deletion is completed. I've updated the task title to reflect that.

Elitre added a subscriber: Elitre.Oct 18 2017, 1:31 PM
Deskana set the point value for this task to 1.Oct 27 2017, 3:08 PM

Change 471294 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget.init: Don't load on special pages with action=submit in the URL

https://gerrit.wikimedia.org/r/471294

Change 471294 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget.init: Don't load on special pages with action=submit in the URL

https://gerrit.wikimedia.org/r/471294

matmarex claimed this task.Nov 5 2018, 5:38 PM
matmarex edited projects, added VisualEditor (Current work); removed VisualEditor.
matmarex moved this task from Incoming to QA on the VisualEditor (Current work) board.
Elitre removed a subscriber: Elitre.Nov 8 2018, 4:54 PM
marcella closed this task as Resolved.Nov 19 2018, 4:33 PM